Loading...
Searching...
No Matches
Pop3ClientDataProvider::Pop3ClientListDataProvider Class Reference

The POP3 message list parent data provider. More...

`#include <Pop3ClientListDataProvider.qc.dox.h>`

Inheritance diagram for Pop3ClientDataProvider::Pop3ClientListDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (Pop3Client pop3)
| Creates the object from an POP3 connection.
*list< hash< DataProvider::DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from Pop3ClientDataProvider::Pop3ClientDataProviderBase
| constructor (*hash< auto > options, hash< string, hash< DataProviderOptionInfo > > con_opts=ConstructorOptions)
| Creates the object from constructor options.
| constructor (Pop3Client pop3)
| Creates the object from an POP3 connection.
Pop3Client | getPop3ClientConnection (hash< auto > options)
| Returns an POP3 connection from constructor options.

## Public Attributes

const | ProviderInfo = ...
| Provider info.
Public Attributes inherited from Pop3ClientDataProvider::Pop3ClientDataProviderBase
const | ConstructorOptions = ...
| Constructor arguments.

## Protected Member Functions

*hash< string, bool > | getAllMessages ()
| Returns the set of all messages.
DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or nothing if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
Qore::Thread::Mutex | lck ()
| Metadata mutex.

## Protected Attributes

*hash< string, bool > | msgs
| Message set.

## Detailed Description

The POP3 message list parent data provider.

## Member Function Documentation

## getChildProviderImpl()

DataProvider::AbstractDataProvider Pop3ClientDataProvider::Pop3ClientListDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or nothing if the given child is unknown.

Returns
  the given child provider or nothing if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > Pop3ClientDataProvider::Pop3ClientListDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any